OpenJPEG 2.3.0

Macros | Functions
function_list.c File Reference
`#include "opj_includes.h"`

## Macros
#define | OPJ_VALIDATION_SIZE 10
| Default size of the validation list, if not sufficient, data will be reallocated with a double size. More...

## Functions
opj_procedure_list_t * | opj_procedure_list_create ()
| Creates a validation list. More...
void | opj_procedure_list_destroy (opj_procedure_list_t *p_list)
| Destroys a validation list. More...
OPJ_BOOL | opj_procedure_list_add_procedure (opj_procedure_list_t *p_validation_list, opj_procedure p_procedure, opj_event_mgr_t *p_manager)
| Adds a new validation procedure. More...
OPJ_UINT32 | opj_procedure_list_get_nb_procedures (opj_procedure_list_t *p_validation_list)
| Gets the number of validation procedures. More...
opj_procedure * | opj_procedure_list_get_first_procedure (opj_procedure_list_t *p_validation_list)
| Gets the pointer on the first validation procedure. More...
void | opj_procedure_list_clear (opj_procedure_list_t *p_validation_list)
| Clears the list of validation procedures. More...

## Macro Definition Documentation

## ◆ OPJ_VALIDATION_SIZE

#define OPJ_VALIDATION_SIZE 10

Default size of the validation list, if not sufficient, data will be reallocated with a double size.

Referenced by opj_procedure_list_add_procedure(), and opj_procedure_list_create().